Subject: No More Central Authority: Not NSI/ICAN! Not ORSC!

From: Bob Allisat <[email-masked]>
Date: Wed, 13 Jan 1999 13:01:03 -0500 (EST)

Greg Skinner writes:
> Perhaps the people have the power, but (for now), the vast majority
> of them have chosen to believe the NSI/IANA roots.
>
> What would make them change?  That is hard to say.  I suspect that
> most home users are following the instructions that their ISP gives
> them.  So then we look to the ISPs.  What benefits do ISPs gain by
> pointing their DNS at alternative roots?  Since there is also a good
> deal of Internet business use, what added value is there for a company
> (who runs its own DNS) to point at alternate roots?
>
> One thing that the NSI/IANA roots *do* offer is a certain degree of
> reliability and stability.  That's something that, imho, can't really
> be overlooked.

 Once upon a time I had my software pointed at so-called
 "alternative" root name servers. The service was spotty,
 prone to failure and, finally, disappeared without notice.
 Depending on *any* authority external to my computer is
 something I would prefer to avoid. Thus my call for an
 entirely de-centralized Domain Name Services, IP addressing
 and Internet Givernance structure. Every citizen should
 hold the authority in their own hands (so to speak).

 Bob Allisat

 Free Community Network _ [email-masked]
 http://fcn.net _ http://fcn.net/allisat 
 [email-masked]

---

From: Bob Allisat <[email-masked]>
Date: Wed, 13 Jan 1999 13:01:03 -0500 (EST)

Bob Allisat

---

From: "Mitch Denny" <[email-masked]>
Date: Tue, 19 Jan 1999 20:30:11 +1000

Bob,

How would you do that? Are you 
proposing that we go back to
every computer containing a hosts
file, or running its on DNS server?

What happens when a new host is
brought on-line, how do you update
it quickly.

I am sure you are technically competent,
I am sure that you can see the advantages
of a centralised and hierarchical
directory service?

I know you have your own agenda here,
and you advocate a free internet, and
I commend you for that stance, but
their are technical considerations
as well.

However, the model of this organisation
needs to be revised.

Cheers,

Mitch Denny
[email-masked]
> -----Original Message-----
> From: Bob Allisat [mailto:[email-masked]]
> Sent: Thursday, January 14, 1999 4:01 AM
> To: Greg Skinner
> Cc: IFWP Discussion List; [email-masked];
> [email-masked]
> Subject: No More Central Authority: Not NSI/ICAN! Not ORSC!
> 
> 
> 
> Greg Skinner writes:

---

From: "Mitch Denny" <[email-masked]>
Date: Tue, 19 Jan 1999 20:30:11 +1000

Bob,

Cheers,

Mitch Denny
[email-masked]

---

From: Bob Allisat <[email-masked]>
Date: Tue, 19 Jan 1999 05:00:14 -0500 (EST)

> of a centralised and hierarchical

 I see the advantages. But the current disadvatnages
 out-weigh the positives in my opinion. A central DNS
 authority is a critical failure point in an otherwise
 pretty robust network. Decentralize that and it's one
 step closer to what I believe will be a better and more
 efficiently functioning net.

 The problems associated with updating the database are
 not all that duanting IMHO (in My Humble Opinion). They
 involve regular checks for changes over the net from the
 software running on your/my/our desktops in my idea of
 a self-contained Domain name Server. The main list would
 disperse via the Operating system or CD ROM or some such
 other method. New entries would automatically be included
 under the control of the individuals involved.

 All much more sustainable and democratic than the current
 lock-hold certain key technicians hold right now. Cheers,

 Bob Allisat

---

From: Bob Allisat <[email-masked]>
Date: Tue, 19 Jan 1999 05:00:14 -0500 (EST)

Bob Allisat

---

From: thomas lakofski <[email-masked]>
Date: Tue, 19 Jan 1999 12:00:01 +0000 (UTC)

>  efficiently functioning net.

Bob, much as I agree with you about the advantages of decentralization,
please either:

1.  Show me the code and architecture that implements your decentralized
DNS, or

2.  Go away.

Thanks,

TL

......
please forgive my abrupt ending hre - but my conection is  
xtrememleyyhiclmelyey      BAD hiccuppy etc must sign off - 
EF D8 33 68 B3 E3 E9 D2  C1 3E 51 22 8A AA 7B 98

---

From: thomas lakofski <[email-masked]>
Date: Tue, 19 Jan 1999 12:00:01 +0000 (UTC)

2.  Go away.

Thanks,

TL

......

---

From: Richard Towle <[email-masked]>
Date: Tue, 19 Jan 1999 13:58:15 -0200

Hi Guys,

I would like to add this thought. Who would pay and keep track of addressing
and name space without a central organization?

When you establish a new site it take 24-72 hours for this information to
propagate across the Internet. I just plan for that time in any project or
site that I build.
Once you have the root domain name registered, the rest is a distributed
system...i.e. you can make changes to your own site (except the main domain
name) without anyone else saying no.
I feel that this system has had enough scrutiny as well as international
support to make it a stable and effective way to distribute this data (not
to mention cost effective for the consumer)

Thanx
Rich

---

From: Richard Towle <[email-masked]>
Date: Tue, 19 Jan 1999 13:58:15 -0200

Hi Guys,

Thanx
Rich

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 20 Jan 99 0:07:20 JST

Thomas;

> 1.  Show me the code and architecture that implements your decentralized

To be purely technical, though my definition of "decentralized" may be
different from that of Bob's, it is possible to give all the contries
in the world fractional information of the root key and allow the
reconstruction of the full root key if and only if more than half
(or two third, or ...) of the contries cooperate.

It essentially uses error correction technique like Reed-Solomon that
there is no difficulty.  Similar code and architecture are used by
major credit card companies for electric commerce.

That is, the decentralization is no difficult with secure DNS
or with plain DNS with secured decentralized registry.

In addition, it, of course, is easily possible that all the contries
run their own set of root name servers. With a simple route filtering
for administratively scoped unicast addresses, it is no difficult
to make the IP addresses of the root servers identical in all the
contries.

So, we MUST NOT not have a central DNS authority as the critical
failure point.

							Masataka Ohta

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 20 Jan 99 0:07:20 JST

Thomas;

							Masataka Ohta

---

From: [email-masked]
Date: Tue, 19 Jan 1999 10:31:24 -0500

>  under the control of the individuals involved.

Bob:

Go re-read RFC881.

Check the date on RFC881.

Work in technical support for a while, and explain to people
why they *should not* remove this 100Mbyte file from their
system.  Explain why they *should* update it on a daily basis.
Explain why they have to tie up their modems with a 2Mbyte
download ever few days. Spend a few days debugging the
strange and wonderful "cannot connect" errors caused when
a favorite http server changes its IP address, and all the
users don't download an update.

But hey, you obviously know more about this stuff than those
of us who have been doing it for a living for the last 20 years.
So I guess you're right and we're wrong, it's not that daunting. ;)

-- 
				Valdis Kletnieks
				Computer Systems Senior Engineer
				Virginia Tech

---

From: [email-masked]
Date: Tue, 19 Jan 1999 10:31:24 -0500

Bob:

Go re-read RFC881.

---

From: Fred Baker <[email-masked]>
Date: Tue, 19 Jan 1999 17:45:10 +0000

At 12:07 AM 1/20/99 +0900, Masataka Ohta wrote:
>run their own set of root name servers.

they *do* run servers for their TLDs. But this is the root domain we're
talking about, which is different. And what do keys have to do with it?

Puzzled

---

From: Fred Baker <[email-masked]>
Date: Tue, 19 Jan 1999 17:45:10 +0000

Puzzled

---

From: Bob Allisat <[email-masked]>
Date: Tue, 19 Jan 1999 16:17:39 -0500 (EST)

Richard Towle wrote:
> Who would pay and keep track of addressing

 Because desktop DNS removes authority from some distant
 place does not mean there will be no order, discipline
 or co-ordination. I see this occurring by means quite
 unlike the current rather dictatorial fashion. It would
 have to be vastly more consensual and open, with none of
 the artifical monopolies and "top-down" command structure.
 
 Another outcome of DDNS (Desktop Domain Name Services) is
 that it would entirely remove pernicious institutions like
 the US Government, WIPO, ITU, bloody fuzzy IANA/ICANN, ETC
 entirely from the picture. It would be up to us as citizens
 and individuals to assume responsibility for universal
 access and addressing. Which is exactly wher the power
 should devolve to in my humble opinion.

As for Thomas lakofski's comments...
+ Bob, much as I agree with you about the advantages of decentralization,
+ please either:
+
+ 1.  Show me the code and architecture that implements your decentralized
+ DNS, or
+
+ 2.  Go away.

 I can only respond by saying this is an appropriate forum
 to discuss such central issues to Internet architecture.
 And, in this medium, the leap from speculation to full-
 blown realization is so rapid that I suspect someone is
 already well on their way to functional code if we're
 talking about it. So I'll choose niether option one nor
 two but rather three... which is to tolerate criticism
 when well founded and to ignore it when not.

 Respectfully,

 Bob Allisat

---

From: Bob Allisat <[email-masked]>
Date: Tue, 19 Jan 1999 16:17:39 -0500 (EST)

Respectfully,

 Bob Allisat

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 20 Jan 99 6:09:10 JST

Fred;

> they *do* run servers for their TLDs.

???

> But this is the root domain we're
> talking about, which is different.

Of course. Root name servers and multiple but consistent root
registries.

Root name servers (or, network address containing it) can and should
(as the load on them increases) have country-local or smaller routing
scopes, which is easier than having privately use addresses.

> And what do keys have to do with it?

If you want multiple root servers securely and consistently updated,
you have to have some secure mechanism of decision making with keys.
I just pointed it out a well known fact that the keys can be generated
and held distributedly without any central authority.

							Masataka Ohta

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 20 Jan 99 6:09:10 JST

Fred;

???

							Masataka Ohta

---

From: Bob Allisat <[email-masked]>
Date: Tue, 19 Jan 1999 16:39:16 -0500 (EST)

> So, we MUST NOT not have a central DNS authority as the critical

 This much we agree in... currently we are all working
 and communicating on a very robust network. *Except*
 for this rather archaic central authority in terms of
 DNS/IP Addressing. Where we differ is at the level of
 placement or situation.

 It is my opinion that functionally placing my Domain
 Name Server at the level of my computer is not only more
 efficient but also more secure, empowering and so on. I
 no longer rely on some distant source for finding my way
 around.  Alternately I assume the responsibility of becoming
 lost or disconnected. But as a free adult that is something
 I feel fully capable of dealing with.

 Question for Masataka: Do you believe the concept of Desktop
 DNS is *technically* doable? By that I mean can it be done.
 I do not wish to discuss whether or not it should be done.
 Simply to gauge your opinion as to it's possibility.

 Cheers,

 Bob Allisat

---

From: Bob Allisat <[email-masked]>
Date: Tue, 19 Jan 1999 16:39:16 -0500 (EST)

Cheers,

 Bob Allisat

---

From: Bob Allisat <[email-masked]>
Date: Tue, 19 Jan 1999 16:52:32 -0500 (EST)

Valdis 
> So I guess you're right and we're wrong, it's not that daunting. ;)

 It is not a matter of right or wrong but of choice.
 Nor am I disputing your experience or knowledge. And
 my experience in providing support to clients reveals
 similar difficulties you intimate. However...

 The sophistication of hardware, software, connectivity
 and - most importantly - of the individual accessing the
 network is increasing greatly. I can go to any department
 or office supply store and purchase what, in my memory,
 was unavailable even to the wealthiest corporation. So
 I believe it is completely realistic and workable.

 Tirrah,

 Bob Allisat

---

From: Bob Allisat <[email-masked]>
Date: Tue, 19 Jan 1999 16:52:32 -0500 (EST)

Valdis 

 Tirrah,

 Bob Allisat

---

From: Mohsen BANAN <[email-masked]>
Date: Tue, 19 Jan 1999 14:30:26 -0800 (PST)

The angle that I am about to introduce is a bit
different -- and may be out of phase -- from the
rest of this thread. But, I feel it is as good of
a place to through it in as any other.

DNS has served us all well. In many aspects, it
proved to include the right concepts and designs.
We have learned a lot from the Internet Domains
and the DNS experience. 

Without explicitly acknowledging it, the Internet
community is already in many ways in the process
of designing the Next Generation Domains and DNS
system.

My two cents here is not about Authority and
Administration dimensions of DNS. It is about
the backwardsness of representation to its
users. 

Here is an example:

The current mode of expressing, say:

	[email-masked]   (WRONG)

can be replaced by:

	us.wa.com.neda@mohsen   (RIGHT)

(the above example does NOT represent currently
valid domains.)

One of the ways of recognizing the significance
of this seemingly irrelevant idea is in the
context of "completion" on the desktop.

Being able to guess at the valid options in the
next level of the hierarchy is a really big plus
which can better exploit the hierarchical design
of the domain system. I am even willing to say
that one of the reasons for the high demand for
higher level domains, is this backwardsness.

Those who live inside of emacs know well the
power of completion. Using "completion", I can
easily walk through hierarchical file systems,
elisp commands, C++ tags, LaTeX sections, ....
But when it comes to Network Domains, I can't
use completion. Because it is backwards.
That is a big deal.

A lot of potential good is not materializing
because of this backwardsness.

Now that there is so much more power on the
desktop, it is only reasonable to expect more
from the desktop.

I understand that this concept is not completly
new. I also understand that this idea has
serious impact on much of the installed base
... However, while so much more of domains is
being reconsidered, I figured it is worthwhile to
throw in this dimension as well.

...Mohsen.

>>>>> On Tue, 19 Jan 1999 16:17:39 -0500 (EST), Bob Allisat <[email-masked]> said:

  >> and name space without a central organization?

  Bob>  Because desktop DNS removes authority from some distant
  Bob>  place does not mean there will be no order, discipline
  Bob>  or co-ordination. I see this occurring by means quite
  Bob>  unlike the current rather dictatorial fashion. It would
  Bob>  have to be vastly more consensual and open, with none of
  Bob>  the artifical monopolies and "top-down" command structure.
 
  Bob>  Another outcome of DDNS (Desktop Domain Name Services) is
  Bob>  that it would entirely remove pernicious institutions like
  Bob>  the US Government, WIPO, ITU, bloody fuzzy IANA/ICANN, ETC
  Bob>  entirely from the picture. It would be up to us as citizens
  Bob>  and individuals to assume responsibility for universal
  Bob>  access and addressing. Which is exactly wher the power
  Bob>  should devolve to in my humble opinion.

  ...

---

From: Mohsen BANAN <[email-masked]>
Date: Tue, 19 Jan 1999 14:30:26 -0800 (PST)

Here is an example:

can be replaced by:

...Mohsen.

 

  ...

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 20 Jan 99 10:08:28 JST

Bob;

>  DNS is *technically* doable?

The primary root server in a box is technically no difficult even
with today's technology. Flush memory is cheap enough.

People, such as those in telephone companies, who want to have costly
equipment to rationalize there high service charge feel uneasy to the
fact that desk top PCs today is faster than CRAY-1.

However, it does not mean that on all the desks in the world there
are root servers running coordinated with the rest of the Internet. :-)

Anyway,

						Masataka Ohta

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 20 Jan 99 10:08:28 JST

Bob;

Anyway,

						Masataka Ohta

---

From: [email-masked]
Date: Tue, 19 Jan 1999 22:40:56 -0500

> 	us.wa.com.neda@mohsen   (RIGHT)

Ahh.. the cycle of reincarnation.  It was only a few years ago
that we finally stopped all the mail gateways from JANET from
leaking out addresses of the form  [email-masked]'. 

> context of "completion" on the desktop.

(Emacs uses <tab><tab> to do completions)

Ahh.. I can see it now..

mail com.a<tab><tab>

wait.
wait.
wait.
wait.
wait.
wait.

<foo, I meant 's', not 'a'>

<bs>s<tab><tab>

wait.
wait.
wait.
wait.

This would have been a *really slick* idea when the net was
still "small" (under 100K hosts or so).  However, it wouldn't
be usable now unless we drastically reorganized all the DNS
entries to be a *lot* deeper (for instance, Virginia Tech uses
a 4-level name, we'd have to convert to be 8 or 10 deep) so
that at any given level, there's not an overwhelming number of
entries to deal with.

The .COM domain is currently about 2 million or so entries at
one level - completion here is useless...

---

From: [email-masked]
Date: Tue, 19 Jan 1999 22:40:56 -0500

Ahh.. I can see it now..

mail com.a<tab><tab>

wait.
wait.
wait.
wait.
wait.
wait.

<bs>s<tab><tab>

wait.
wait.
wait.
wait.

---

From: Richard Towle <[email-masked]>
Date: Wed, 20 Jan 1999 11:09:32 -0200

I am new to the IETF forum. I am sorely disappointed that, what I thought
was an open forum to discuss technical issues, has turned out to be more
of an abusive and spiteful group.

The IETF is supposed to develop new ideas and create the new architecture
for the Internet. Maybe I am idealistic but I believe BOB has the Kernel
for a new idea. We should use this forum to nurture these new ideas,
maybe it is not right what he is proposing, but I have seen few responses
that have actually questioned whether it might actually work in a less
dramatic fashion.

I grew up in America, on the net. I have built enough DNS servers to make
my nightmares quite amusing. Now while in Europe I see the problem that
bob has tuned into. This system works ONLY if the Central Authority has
trained staff, and actually knows what DNS is. That is NOT the case in
many of the countries and large organizations over here. This is a new
system for these governments and the administrators are not currently
handling it to well. There needs to be a better way, Maybe not BOBs way,
but we need to discuss the technical issues regarding this topic, not
whether or not you agree with BOB.

Using the talent that is obviously participating in this forum, I would
hope that a solid and real concept could be produced, not stepped on and
laughed at. What do you think the original groups (The guys who worked so
hard to invent this technology)  e-mails looked like discussing
smtp,ftp,nntp,TCPIP,  and the like????
I would hope that they were alot more civilized and alot less personally
abusive.

Idealistic, yes, guilty!!! But ,and I hope that there are a few souls
here who can stand with me, I want to help make this thing better, not
worse!!! I am finally technically competent enough to help in this
process and I really want to participate in a real discussion regarding
new ideas, not personal garbage.

BOB A note to you!!! Please lets keep this non personal, and be willing
to come down of the idea a little to work out a feasible and workable
solution. I believe you might have a kernel to something really valuable,
but life is full of compromises, be willing to work them through, but
remain the conscience for the discussion and lets make something happen.

Sorry for the blah blah blah, but I think this group needs to re-focus
and address some real issues.

Thanx
Richard Towle

---

From: Richard Towle <[email-masked]>
Date: Wed, 20 Jan 1999 11:09:32 -0200

Thanx
Richard Towle

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Jan 1999 11:14:38 +0000

Masataka,

There can only be 13 root servers for technical reasons, and
they have to be run in close collaboration for technical reasons
(i.e. they must contain the same data). The reason we have more
than one root server is to avoid a single point of failure.

So I simply don't understand what you are suggesting, or how
it relates to the DNS we all use hundreds of times a day.

Also, who is this "Bob" people keep talking about? 

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Jan 1999 11:14:38 +0000

Masataka,

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Jan 1999 11:22:07 +0000

Mohsen BANAN wrote:
...
>         us.wa.com.neda@mohsen   (RIGHT)

I think we should also do the same for numbers, for example
write next year as 0002, or pi as 95141.3

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Jan 1999 11:22:07 +0000

Mohsen BANAN wrote:
...

   Brian

---

From: Sahasranamam Subramanian <[email-masked]>
Date: Wed, 20 Jan 1999 18:10:00 +0530

Hello

Can Mr. Mohsen explain why does he wants so! Does it make your routing
simple!!

---

From: Sahasranamam Subramanian <[email-masked]>
Date: Wed, 20 Jan 1999 18:10:00 +0530

Hello

---

From: "Perry E. Metzger" <[email-masked]>
Date: 20 Jan 1999 11:51:20 -0500

Richard Towle <[email-masked]> writes:
> Maybe I am idealistic but I believe BOB has the Kernel

No, the IETF is not here to "nurture ideas". It isn't a
kindergarten. It is a standards body. 

If Bob had any technical competence and had an actual workable
proposal to bring to the table, that would be one thing, but in fact
what we are dealing with is someone who posts about thirty worthless
messages to the mailing list a day and simply disrupts the ability of
legitimate work to get done.

Bob isn't a technologist trying to get a good technical proposal
listened to. He's just a person with nothing better to do than to post 
divisive messages faster than anyone can reply to them.

> laughed at.

He isn't proposing anything that could be implemented. He's just
frothing and being disruptive.

Let me put it to you this way: if a loon showed up at a physics
conference frothing about how intergalactic teleportation was the most
important thing the physics community could be working on, and
wouldn't shut up, would it be their duty to "use the talent at that
forum" to work on intergalactic teleportation? If said person shouted
during all paper presentations, would he be someone who deserved
"nurturing" or being thrown out on his ass?

Perry

---

From: "Perry E. Metzger" <[email-masked]>
Date: 20 Jan 1999 11:51:20 -0500

Perry

---

From: Micah Bartell <[email-masked]>
Date: Wed, 20 Jan 1999 12:13:51 -0600

>of an abusive and spiteful group.

I'm also fairly new to the IETF forum, and have found that while it claims to
be a forum to discuss technical issues, that is not what it is.  As far as
being
an abusive and spiteful group, I would call it more of a frustrated group and 
annoyed group.

>that have actually questioned whether it might actually work in a less

Yes, the IETF is supposed to develop new ideas and work at evolving the
Internet architecture, this is done in the WG's, not on the main list, from 
reading the WG lists that I am on, they are 100% signal, 0% noise, where
the main list is about 98% noise.  Bob's contributions to the IETF list
have consisted
100% of ranting against the various organizations that develop policy.  His 
accusations are unfounded, and to date he has never posted a single on-topic
message.  He cry for a distributed DNS system stems only from his political 
motivations, and he has no idea of what it means from a technical standpoint.
His desire is to revert back to the host tables more or less, which at this
point
is ridiculous.  If he were to actually submit a draft detailing a method in
which 

this could be accomplished, then there would be no complaints.

>whether or not you agree with BOB.

I admin a few DNS server myself, and I will admit the central authority and
the system that is currently in place is certainly lacking.  If many of these
other governments and admin's in other countries are not able to handle it
well because of lack of technical clue, that is the issue that needs to be
looked
at and remedied.  A central authority is needed, because heirarchial systems
scale.  

>I would hope that they were alot more civilized and alot less personally

I would not be very suprised if it looked very much the same, since some of
those
very guys are on the IETF list and posting.  Solid and real concepts are taken
seriously, but then solid and real concepts also come in the form of a
draft or a
technical proposal.  Not a politically motivated rant against the 'cabal'
or 'establishment'.

>new ideas, not personal garbage.

Join the WG's. 

>remain the conscience for the discussion and lets make something happen.

Yes Bob, please write a TECHNICAL draft of what you propose.  

------------------------------------------------------------------------
Micah Bartell                                 UNIX Systems Administrator
[email-masked]                                                 Verio
(913) 261-3914                                            1-800-937-6431
------------------------------------------------------------------------
   
The perversity of the Universe tends toward a Maximum

---

From: Micah Bartell <[email-masked]>
Date: Wed, 20 Jan 1999 12:13:51 -0600

Join the WG's.

---

From: Bob Allisat <[email-masked]>
Date: Wed, 20 Jan 1999 13:17:38 -0500 (EST)

>  DNS is *technically* doable?

Masataka Ohta replied:
+ The primary root server in a box is technically no difficult even
+ with today's technology. Flush memory is cheap enough.
+
+ People, such as those in telephone companies, who want to have costly
+ equipment to rationalize there high service charge feel uneasy to the
+ fact that desk top PCs today is faster than CRAY-1.
+
+ However, it does not mean that on all the desks in the world there
+ are root servers running coordinated with the rest of the Internet.

 Granted. Thank you for your kind response. It is also
 my opinion that my proposition is emminantly do-able.
 With modern PC's breaking benchmarks previously reserved
 for large, main-frame super-computers integrating DNS
 into all of our PC's is possible if not currently the
 standard practice. It is my belief that we should all
 work towards making desktop DNS as just another function
 our personal, home office and small enterprise computers.

 Respectfully,

 Bob Allisat

---

From: Bob Allisat <[email-masked]>
Date: Wed, 20 Jan 1999 13:17:38 -0500 (EST)

Masataka Ohta replied:

 Respectfully,

 Bob Allisat

---

From: Fred Baker <[email-masked]>
Date: Wed, 20 Jan 1999 19:37:47 +0000

>kindergarten. It is a standards body. 

I beg your pardon, Perry? We're not a kindergarten, but I think we ARE here
to nurture ideas. If we're not doing that, I don't see that we're doing
much that's useful.

---

From: Fred Baker <[email-masked]>
Date: Wed, 20 Jan 1999 19:37:47 +0000

---

From: "Mitch Denny" <[email-masked]>
Date: Thu, 21 Jan 1999 09:24:45 +1000

Richard,

Welcome to the IETF Mailing List :)

> for the Internet. Maybe I am idealistic but I believe BOB has the Kernel

What Bob is proposing, well what I assume
he is proposing is returning to a host
file based system on each node of the
network.

This is not a "new" idea, he may be able
to implement a new way of list distribution
but nothing more substantial than that.

Again Bob, I challenge you to submit a
useful and workable model for what you
propose.

> while in Europe I see the problem that

<SNIP SNIP SNIP SNIP SNIP SNIP>

In relation to your comments about untrained
staff managing DNS solutions, well its
a typical problem.  Should you drive a car
without a licence?

Sure encourage Bob to develop a solution,
I doubt he will even attempt it.  He has
made himself a career out of being irrational
and promoting seriously flawed concepts.

Cheers,

Mitch Denny
[email-masked]

---

From: "Mitch Denny" <[email-masked]>
Date: Thu, 21 Jan 1999 09:24:45 +1000

Richard,

Cheers,

Mitch Denny
[email-masked]

---

From: Mohsen BANAN <[email-masked]>
Date: Wed, 20 Jan 1999 15:39:33 -0800 (PST)

>>>>> On Wed, 20 Jan 1999 11:22:07 +0000, Brian E Carpenter <[email-masked]> said:

  Brian> Mohsen BANAN wrote:
  Brian> ...
  >> us.wa.com.neda@mohsen   (RIGHT)

  Brian> I think we should also do the same for numbers, for example
  Brian> write next year as 0002, or pi as 95141.3

Brian,

Because of your particular position as the Internet
Architecture Board (IAB) Chair, your above comments
are not even funny.

Most of those familiar with the Internet Architecture
know full well that representation of Internet
Domains are backwards and wrong.  The decision for the
order and format of the representation of Internet
Domains could have gone one way or the other.  At the
time of that design decision, it was difficult to
know all the ramifications. It went the wrong way.
Those involved with the history of that decision can
tell you more ...

Now, in more detail, for your benefit, let me explain
why I am saying that Internet Domains are backwards
and why that is quite relevant to Bob's suggestion of
"more on the desktop". 

First, let's focus on the presentation of Internet
Domains. 

Nearly in all man-machine interactions, the "natural"
order is to put the larger (the more general) to the
left. For example:

  File Systems:    /var/spool/lp/logs/requests.1 
  C Structures:    myHouse.livingRoom.lamp
  Numbers (pi):    3.14159

You see, the larger (the more general) is always to
the left.

Then comes:      www.ietf.org

That is backwards, because the most general, "org",
is to the right.

the in-addr stuff being backwards in and of itself
speaks for the point that I am making.

That much for explanation of my original message.

I'll now go one step beyond that.

Let me tie this to Bob's idea and in fact suggest to
you that the probability of having a reasonable
solution is in fact high.

[The following is my reading of Bob's comments, I
don't want to speak for him and expect him to correct
me, if needed.]

Bob has nearly given up on expecting the solution to
come from the network side and is saying we should
look at the desktop.

His main goal is to empower the user. Introduce
choice. Introduce competition. Break unnecessary
controls.

In today's DNS, that translates into providing for
the choice in orderly selection from more than just
one set of root-servers. 

In fact this is possible if more was done at the
desktop.

My way of approaching it, involves:

- We need to update the name resolvers, so that instead
  of having a single information base identifying a set
  of root servers, we have a way of selecting amongst
  different sets of root servers.

- Then let's introduce the concept of a meta top level
  domain selector. Say r1, r2, r3, ... 
  Each of these identifies a set of root servers.
  This is different from a top level domain in the 
  context of a single set of root servers.

  For example, r1 can be the current default set of
  root servers. r2, could have been alternic ...

- Then the representation of an Internet Domain
  becomes say:

	www.ietf.org.r1
	real-estate.web.r2
	www.ietf.org.r2

  www.ietf.org.r1 says look for "org" in the r1 set of
  root servers.

  www.ietf.org.r2 says look for "org" in the r2 set
  of root servers.

  Then let those who run r1, compete with r2.

  It is even possible to have the software deduce, r1
  and r2 based on "org" or "web". Nice possible
  backwards compatibility option ...

- While we are at it and while we are updating the
  name-resolvers, let's also introduce an additional
  (forward) domain name representation.

   So, you can have somthing like
 
       r1:us.wa.neda.com:http:/index.html

   Where things such as "completion" work every step
   of the way and the order is philosophically
   correct.

   This is in fact a big deal.

- Note that while say r1 and r2 run today's DNS, it
  is  possible for say r3 to run DNS++, ...

  In other words, r1 is not just a root-server set
  selector, it is also a name-resolver method
  selector.

I am not saying that what I have here is a solution.

I am simply saying that if one is willing to consider
updating the desktop software, then there are ways of
introducing user choice and competition.

May be this is not new to some.  I have had this idea
for a couple of yours now.  Good or bad, it is out
there now ...

Cheers,

...Mohsen.

---

From: Mohsen BANAN <[email-masked]>
Date: Wed, 20 Jan 1999 15:39:33 -0800 (PST)

Brian,

Then comes:      www.ietf.org

	www.ietf.org.r1
	real-estate.web.r2
	www.ietf.org.r2

 

Cheers,

...Mohsen.

---

From: "Mitch Denny" <[email-masked]>
Date: Thu, 21 Jan 1999 12:05:12 +1000

Mohsen,

Intresting comments, I agree with
you on the matter of notion of
host.domain.tld.  I do think
that it is backwards.

Personally I think that the
whole area of directory services
needs to be addressed.

Cheers,

Mitch Denny
[email-masked]

> From: Mohsen BANAN [mailto:[email-masked]]
> Sent: Thursday, January 21, 1999 09:40
> To: Brian E Carpenter
> Cc: [email-masked]
> Subject: Re: Now: Next Generation Domains and DNS -- Was: Re: No More
> Central Authority: Not NSI/ICAN! Not ORSC!
> 
> 
>

---

From: "Mitch Denny" <[email-masked]>
Date: Thu, 21 Jan 1999 12:05:12 +1000

Mohsen,

Cheers,

Mitch Denny
[email-masked]

---

From: Richard Towle <[email-masked]>
Date: Thu, 21 Jan 1999 11:54:10 -0200

I would like to simply propose the following.

With the Voice/Data "convergence" I would like to have one address for both
my voice and data calls. One phone/device/Desktop number.

I suggest that with the coming "wireless" connections to the Internet, and
the distributed nature of these system, that I would assume to know nothing
on my Desktop / Wireless Device and make sure the Network can be reached
for name resolution from anywhere, including "dumb terminals" with only a
general resolver address.

I for one, inside of a company cannot "see" a DNS server except the one
that I am allowed to "see". This creates alot of problems when I want to
connect to certain domains. The human factor of  resolving to one or two
addresses has caused serious problems when say a network link is dead, or a
server is locked up and no one is there to re-boot it. This happens, and I
think we must look to a better way of dealing with this.

The flaw that I see is that I must always rely on a smaller "authority"
namely and ISP to provide me with correct name resolution. This is not
correct.

I would like to work on a solution that gives us the ability to have one
"Worldwide" user specific address. Network independent. not the IP address
per say, because in the real world that would be a huge task to undertake,
but a User address.

Under the Directory Enabled Networking concept this is a reality, but the
Worldwide DNS system must be changed in order to reflect this movement. If
I move to another office for three days, log in, get my personal web site
up, start to collect my e-mail, I would be using an enormous amount of
bandwidth to make this happen. All of my servers are somewhere else,
sending me all of my data. With a properly mapped out system, I could move
that data to the local server once and the access that data locally.

I am not sure which way to pursue this, but I have successfully built a few
"Intranets" where you have a personal User specific ID, OS independent, and
you log in, and bang there is your desktop. This provides the solution to
the "new mobil society" that IMHO is needed.

---

From: Richard Towle <[email-masked]>
Date: Thu, 21 Jan 1999 11:54:10 -0200

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 21 Jan 1999 08:39:03 -0500

> my voice and data calls. One phone/device/Desktop number.

See the work on the IETF Session Initiation Protocol (SIP)
[http://www.cs.columbia.edu/~hgs/sip] for one approach to a
location-independent universal identifier encompassing email and
"telephone" services.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 21 Jan 1999 08:39:03 -0500

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 21 Jan 1999 16:24:12 +0000

What I meant, and I think conveyed very accurately, is that
both computers and humans can parse strings in either direction,
so there is no "right" and "wrong". That being so, there is no
reason to change anything and introduce confusion.

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 21 Jan 1999 16:24:12 +0000

Brian

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Jan 1999 12:13:38 -0500

> location-independent universal identifier encompassing email and

SIP tries to let you use your existing email address as an
identifier for conferencing/telephone services also.  This
is not in itself a bad idea, but we're trying to encourage
development of a more general-purpose solution.

To that end, the applications area is working on chartering
two working groups - tentatively called mailcap and enum -
which will have responsibility for defining protocols 
(or profiling existing protocols) to provide a mapping from 
phone numbers (enum) and domain names, URIs, email addresses 
(mailcap) to a set of attributes/ capabilities associated with 
those numbers/URIs.  Such attributes/capabilities could include 
network locations of various services associated with the 
names/numbers, as well as specific capabilities associated with 
those services.

(The groups are separate because the political and technical
issues associated with providing this service for phone numbers
are very different from providing the service for DNS-based names.
However, the groups will be encouraged to work together to
use as much mechanism in common as makes sense.)

This layer of indirection would allow mapping of either a URI 
(including mailto: URIs) or a phone number to any number of
services.

Keith

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Jan 1999 12:13:38 -0500

Keith

---

From: Peter Dawson <[email-masked]>
Date: Thu, 21 Jan 1999 21:20:14 +0400

hi
no doubt that computers parse in either directions..zats
because people programmed them to. But out of curiosity
when one looks at the old dos legcy struct .. one sees
/root/subdir/file... structures.. how come the dns was not
built into this fashion.. the heirarchy is is much more easy
to understand... when one read's.... < com.ibm.hursley@brian >
I know that is is a company called ibm at hursley and
addressing the communication to Brian.... the same old
dos structure stands good .

/pete

---

From: Peter Dawson <[email-masked]>
Date: Thu, 21 Jan 1999 21:20:14 +0400

hi

/pete

---

From: "Michael H. Warfield" <[email-masked]>
Date: Thu, 21 Jan 1999 12:34:19 -0500 (EST)

> reason to change anything and introduce confusion.

	I have to agree with that sentiment.

	The choices between left-handed and right-handed seem pretty
arbitrary from where I stand.  "Right" and "Wrong" don't seem to be
applicable terms.  Merely labeling them as such, doesn't make it so.

	To change from what we have to the exact opposite will introduce
incredible confusion, however.  A lot of software would have to be
rewritten to handle the new syntax.  Users, who are already familiar
with and comfortable with the current syntax, will be thrown for a loop.

	The change would appear to many people to be cosmetic and
gratuitous (that's how it looks to me).  Those who refer to the IETF
as arbitrary and capricious will have yet another arguement in their
arsenal.  Do we really need the PR headache?

	I would submit that concrete answers are needed to the following
questions before we walk down this road, with all the confusion and
random acts of terrorism that will result.

	What are the advantages to doing this?

	Are there really any SIGNIFICANT advantages to this?

	What are the disadvantages to doing this?

	What are the advantages of NOT doing this?

	What are the disadvantages of NOT doing this?

	And are the advantages to doing this significant enough to override
the disadvantages as well as the confusion and utter chaos that will result?

	Do we NEED to do this?  Why?

	Do we need to do this NOW?  Why?

	What are the consequences of doing this?

	What are the consequences of NOT doing this?

	What are the consequences of not deciding now?

	BTW...  Those questions are paraphrased from a course on making
informed decisions.  This would seem like a good spot to invoke those
questions...

> > for a couple of yours now.  Good or bad, it is out

	Mike
-- 
 Michael H. Warfield    |  (770) 985-6132   |  [email-masked]
  (The Mad Wizard)      |  (770) 925-8248   |  http://www.wittsend.com/mhw/
  NIC whois:  MHW9      |  An optimist believes we live in the best of all
 PGP Key: 0xDF1DD471    |  possible worlds.  A pessimist is sure of it!

---

From: "Michael H. Warfield" <[email-masked]>
Date: Thu, 21 Jan 1999 12:34:19 -0500 (EST)

Mike

---

From: RL Bob Morgan <[email-masked]>
Date: Thu, 21 Jan 1999 10:26:28 -0800 (PST)

> names/numbers, as well as specific capabilities associated with 

Are there existing mailing lists for the folks doing this work, or other
contact info?

Thanks,

 - RL "Bob"

---

From: RL Bob Morgan <[email-masked]>
Date: Thu, 21 Jan 1999 10:26:28 -0800 (PST)

Thanks,

 - RL "Bob"

---

From: [email-masked]
Date: Thu, 21 Jan 1999 10:50:57 -0800 (PST)

> dos structure stands good .

'cause DNS predates DOS?  Actually, both approaches have been
built and the DNS version gained more acceptance and is now
the predominant structure.  For details on the other tactic,
please review the "Coloured Books" from the first JANET project.

--bill

---

From: [email-masked]
Date: Thu, 21 Jan 1999 10:50:57 -0800 (PST)

--bill

---

From: Richard Shockey <[email-masked]>
Date: Thu, 21 Jan 1999 13:12:32 -0600

>Are there existing mailing lists for the folks doing this work, or other

Current ENUM list data is  below  Scott Petrack <[email-masked]>
is the chair..

*********

Please send mail for the mailing list to: [email-masked]
To [un]subscribe to this list, send e-mail to
[email-masked]
with [un]subscribe e164-to-ip in the BODY of the message.
Please contact the mailing-list-owner as:
[email-masked]]
 
*********

You may want to keep in mind that the IPTEL WG is also looking at the issue
of phone number resolution where there may be more that one gateway that
can reach a particular telephony endpoint.

ETSI  the European Telecommunications Standards Institute is also working
similar telephony resolution issues.

The question I continue to have is should these new requirements for IP
resolution services [ ENUM, MAILCAP, IPTEL ] be placed in the DNS system or
...is it time to design something else or at the very least look at he
whole issue of IP resolution services with without any preconceptions.
Start out fresh with a "clean sheet of paper".

Richard Shockey
Shockey Consulting LLC                  
8045 Big Bend Blvd. Suite 110    
St. Louis, MO 63119
Voice 314.918.9020
Fax   314.918.9015
INTERNET Mail & IFAX : [email-masked]  
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

---

From: Richard Shockey <[email-masked]>
Date: Thu, 21 Jan 1999 13:12:32 -0600

*********

*********

Richard Shockey
Shockey Consulting LLC

---

From: Joel Jaeggli <[email-masked]>
Date: Thu, 21 Jan 1999 11:14:19 -0800 (PST)

> > dos structure stands good .

dns was actually like that in the UK in the late seventies. I'm sure there
are people on the list who remember the pain a suffering of having a mail
agent have to re-adress mail going either direction.
 
> please review the "Coloured Books" from the first JANET project.

-------------------------------------------------------------------------- 
Joel Jaeggli				       [email-masked]    
Academic User Services			     [email-masked]
     PGP Key Fingerprint: 1DE9 8FCA 51FB 4195 B42A 9C32 A30D 121E
--------------------------------------------------------------------------
It is clear that the arm of criticism cannot replace the criticism of
arms.  Karl Marx -- Introduction to the critique of Hegel's Philosophy of
the right, 1843.

---

From: Joel Jaeggli <[email-masked]>
Date: Thu, 21 Jan 1999 11:14:19 -0800 (PST)

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 21 Jan 1999 14:54:09 -0500

> please review the "Coloured Books" from the first JANET project.

One could note that two of the most common naming hierarchies,
first/last name (at least in Latin-alphabet cultures) and postal
addresses, also follow the least-significant-first order. At this point
of the discussion, we can revive the big-endian vs. little-endian
discussion of a some years ago, with equal fruitfulness.

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 21 Jan 1999 14:54:09 -0500

---

From: Peter Dawson <[email-masked]>
Date: Fri, 22 Jan 1999 00:08:20 +0400

bill

[email-masked] wrote:

> the predominant structure.
>

correct me if i am wrong .. !! the earlist verison of DNS  rfc
was "DoD Internet Host Table Specification, RFC 952, October
1985"

does it predate DOS ??

/pete

---

From: Peter Dawson <[email-masked]>
Date: Fri, 22 Jan 1999 00:08:20 +0400

bill

does it predate DOS ??

/pete

---

From: "David R. Conrad" <[email-masked]>
Date: Thu, 21 Jan 1999 12:02:34 -0800

> one sees /root/subdir/file... structures.. how come the dns 
> was not built into this fashion.. the heirarchy is is much 
> more easy to understand...

"easy"?

An observation: in many countries, in particular (perhaps not
coincidentally) the US, postal addresses are written from more specific
(street address) to less specific (state).  I gather (but don't know for
sure) that US postal codes are similar.  Don't know if this had any
influence on the DNS ordering decision.

Regards,
-drc

---

From: "David R. Conrad" <[email-masked]>
Date: Thu, 21 Jan 1999 12:02:34 -0800

"easy"?

Regards,
-drc

---

From: Peter Dawson <[email-masked]>
Date: Fri, 22 Jan 1999 00:27:06 +0400

> influence on the DNS ordering decision.

off course.!  imho it is easy for the simple reason that the
postal office
sorts first on country and then on city , street, bldg, person
etc etc..

/pete
btw.. i think all post office process in the same manner ..
irrespetive
of which country !

---

From: Peter Dawson <[email-masked]>
Date: Fri, 22 Jan 1999 00:27:06 +0400

/pete

---

From: Frank Kastenholz <[email-masked]>
Date: Thu, 21 Jan 1999 16:06:35 -0500

user interfaces are not protocols.

the order that mail programs and web browsers and
the like read names from and print them at their
users and the order that those names appear in as 
bits over the wire do not have to be the same.

if someone wishes to write a mail program that does
email addresses in com.bar@foo order, they can.
or [email-masked] or bar.com@foo or moc.rab@oof or
bar^&*(Com)<-->foo or whatever other syntax they want.

zlohnetsaK knarF

---

From: Frank Kastenholz <[email-masked]>
Date: Thu, 21 Jan 1999 16:06:35 -0500

zlohnetsaK knarF

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Jan 1999 18:21:05 -0500

> But out of curiosity
> built into this fashion..

You may as well ask why we do not write snail-mail addresses
with the country first, followed by the postal code,
city, street, number, and finally the name.

Obviously the current scheme is severely broken, and now that we 
realize it, we should revamp all of the worlds' postal services.

- USA, 37996, TN, Knoxville, University of Tennessee, Keith Moore

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Jan 1999 18:21:05 -0500

---

From: "Martin J. Duerst" <[email-masked]>
Date: Fri, 22 Jan 1999 07:44:40 +0900

> > please review the "Coloured Books" from the first JANET project.

Well, it wouldn't be DOS, it would be Unix, wouldn't it, anyway.

> discussion of a some years ago, with equal fruitfulness.

Yes, very good point. Postal addresses are bottom-up in Japan and
Russia, and probably a few other places. Similar for dates:
Top-down in East Asia, bottom-up Europe. And *inside-out* in the US.
Now if some of those who want to turn DNS around could first
try to change the US to something that made at least half sense,
that would probably more helpful :-).

Regards,   Martin.

#-#-#  Martin J. Du"rst, World Wide Web Consortium
#-#-#  mailto:[email-masked]   http://www.w3.org

---

From: "Martin J. Duerst" <[email-masked]>
Date: Fri, 22 Jan 1999 07:44:40 +0900

Regards,   Martin.

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Jan 1999 18:23:54 -0500

> Are there existing mailing lists for the folks doing this work, or other

Someone already posted contact info for the enum list.

To subscribe to the mailcap list, send mail to [email-masked]
asking to be on the list.

-Keith

---

From: Keith Moore <[email-masked]>
Date: Thu, 21 Jan 1999 18:23:54 -0500

-Keith

---

From: Antony Bowesman <[email-masked]>
Date: Fri, 22 Jan 1999 10:10:49 +0900

> realize it, we should revamp all of the worlds' postal services.

Not _all_ the world.  Japan, at least, has the prefecture first,
followed by the rest of the address in increasing order of detail.  I'm
not sure exactly how this originated but it may have come from the
social structure where the individual is less important than, for
example, the company you work for.  As Martin said, Russia is similar.

Mail is of course sorted/routed by larger entity first but people send
mail to people, not countries.  Machines sort/parse the mail so it
matters little to them which order the address is, we just have to make
the machines work.

Generally when we are presented with an address the important part for
us is the individual not the route and for latin alphabets we read left
to right.  Perhaps in arabic countries they might want to display the
address reversed, or in Israel they could go left or right and in Japan,
they might even want to write it vertically.

-- 
Antony Bowesman
a
d
b
@
t
o

---

From: Antony Bowesman <[email-masked]>
Date: Fri, 22 Jan 1999 10:10:49 +0900

-- 
Antony Bowesman
a
d
b
@
t
o

---

From: Mohsen BANAN <[email-masked]>
Date: Thu, 21 Jan 1999 22:41:13 -0800 (PST)

[This is a summary response which in addition
to Brian's message addresses others' related
comments.]

>>>>> On Thu, 21 Jan 1999 16:24:12 +0000, Brian E Carpenter <[email-masked]> said:

  Brian> What I meant, and I think conveyed very accurately, is that
  Brian> both computers and humans can parse strings in either direction,
  Brian> so there is no "right" and "wrong". That being so, there is no
  Brian> reason to change anything and introduce confusion.

>>>>> On Thu, 21 Jan 1999 21:20:14 +0400, Peter Dawson <[email-masked]> said:

  Peter> no doubt that computers parse in either directions..zats
  Peter> because people programmed them to. ...

This is not about parsing of strings.

It is about a fundamental architectural design
decision.  Based on what we have learned over
the past 15 years, the "right" and the
"wrong" are quite clear now. 

Key architectural attributes for "right" and
"wrong" are consistency, uniformity, cohesion,
fitness in bigger pictures, usability,  ...

These are not any "strings". Naming and
addressing are an integral part of the
architecture of any network. One of the
reasons why X.400 died is because its
addressing design was unworkable. 

With a variety of methods, even in an
evolutionary way, we have an opportunity to
improve on the current Domain Notation situation.

Yes, we have a problem. Our notation for
Domains *IS* backwards. The first step is to
recognize and acknowledge that.

Brian, the fact that you, the Chair of
Internet Architecture Board, is denying the
existance of this architectural problem -- and
consider it a string parsing issue -- is quite
disturbing to me.

Let me try again and make the existance of the
problem more clear.

Right now Internet Domains don't fit right
with numbers and the rest of the user's
integrated environment.

Any time that numbers and Domains have to work
together, it becomes un-natural, inconsistent
and backwards.  I call that "wrong".

Examples:

 IP Addresses: 
 -------------

 To find the name corresponding to
 the IP address of your nameserver which
 is: 194.196.110.155

 I have to enter it backwards (wrong).

 155.110.196.194.in-addr.arpa	name = sp2tr5.hursley.ibm.com

 In that case the natural (right) could have been.

 arpa.in-addr.194.196.110.155

 Fax Numbers:
 ------------

 To send a fax to +1.888.555.2222 using say
 tcp.int:

 I have to put the numbers in backwards.

 [email-masked]

 Phone Numbers:
 --------------

 If the Domains were straight I could imaging
 doing stuff like:

 Call net.ByNumber.1.888.555.3333:voiceOverIP:"collect"

 Can't do that with today's Domain Notation.

Let's go beyond numbers now.
 
Any time that anyone tries to use a consistent
mechanism for "completion", network objects
fail.  

The file system guys got it right. The OS guys
got it right. The language guys got it
right. Us, the network guys, got it backwards!

I can't even try to use completion for URLs, I
can't use completion for email addresses,
can't ...

To me, "completion" is the ultimate test of
designing naming and addressing machinery.

Before people come back and say, 

 "Oh, this is not a network or a protocol
  problem it is just a User Interface problem."

Let me say: If the protocol gets it wrong, in
practice the User Interface can't fix it.
There is no reason for not also fixing it at
the protocol level (evolutionary of course).

For example, the fact that no nslookup program
(that I know of) over the years have provided
a "straight" User Interface for in-addr says
something ...

As for the merits of mimicing the US Postal
Service. First let me point out that the
"backwardsness" problem goes beyond email
addresses and currently touches all service
identifiers.

More importantly to the extent that the
production of addresses on USPS envelops do
not involve a machine, for obvious reasons, the
drivers are human-to-human factors. Even then,
the human is expected to assist the machine
(in the US) with ZIP+4 numbers.  ZIP+4 is the
man-machine part of the address.  Now, ZIP+4
has the "right" order characteristics. 

For example, my ZIP+4 is: 98008-5765.  The
left most digits "98" correspond to the State
Of Washington. What is on the left is the
larger entity.

Now, if I want to use the Domain Notation to
set up a Physical Delivery Access Unit, then
the address would become something like:

  [email-masked]

Again backwards!

You see, the USPS doesn't have much of a
problem here. Not much needs fixing there ...

To move the Internet forward, our Domain
Notation can benefit from some improvement.

Now, after all of this if there was to be an
acknowledgment that there is an architectural
problem here and that this is not a "strings
parsing" issue which can go either way, then
may be we can work on solutions ....

Or, we can just sweep known problems under the
rug.

Your Call!

[email-masked]

---

From: Mohsen BANAN <[email-masked]>
Date: Thu, 21 Jan 1999 22:41:13 -0800 (PST)

Examples:

 IP Addresses: 
 -------------

 Fax Numbers:
 ------------

 Phone Numbers:
 --------------

 

Again backwards!

Your Call!

---

From: "mark.paton" <[email-masked]>
Date: Fri, 22 Jan 1999 08:42:32 -0000

I hate to admit it but he has a point!

> Sent: Friday, January 22, 1999 6:41 AM
> To: Brian E Carpenter
> Cc: [email-masked]
> >>>>> On Thu, 21 Jan 1999 16:24:12 
> +0000, Brian E Carpenter 
> <[email-masked]> said:
> 
> >>>>> On Thu, 21 Jan 1999 21:20:14 
> +0400, Peter Dawson <[email-masked]> said:
> 
>  Call 
> net.ByNumber.1.888.555.3333:voiceOverIP:
> "collect"
>

---

From: "mark.paton" <[email-masked]>
Date: Fri, 22 Jan 1999 08:42:32 -0000

---

From: "Theodore Y. Ts'o" <[email-masked]>
Date: Fri, 22 Jan 1999 04:14:55 -0500 (EST)

Mohsen,

	This very much reminds me of some of the arguments made about
whether it was more "natural" to send numbers in Big Endian or Little
Endian order.  Some people were jumping up and down that sending the
least significant byte first was "wrong" and "unnatural"; and other
people were taking the opposite tack.  These days, we've learned that in
fact neither byte order is bad; you just have the chose one, and make
sure both sides use the same byte order.  I submit the same goes with
addressing syntax.

	It is true that because some addressing notations put the top
of the address hierarchy first, and other addressing notations put the
most specific part of the address first (i.e., e-mail addresses, DNS
names, and USPS addresses), that life gets confusing when you try to use
hybrid addressing notations containing both types of addressing
notations, or when you try to express one addressing notation in terms
of another (i.e., what happens when you try to express a telephone
number as a DNS address).

	The reality, though, is that it is too late to make any changes
in the DNS name.  The current system is in use all over the world.  Many
years ago (before OSI was declared dead and buried), there was a brief,
abortive attempt to use reversed DNS addresses in part of the UK, where
the country code would be first, "uk.ac.cambrdge".  The operational
experience was that this was a disaster in terms of interoperability and
caused massive ammounts of user confusion, and the attempt to "reform"
the DNS went nowhere.

	Whether or not you call this a "Problem" depends on your point
of view.  But this is reality.  Live with it.  

						- Ted

---

From: "Theodore Y. Ts'o" <[email-masked]>
Date: Fri, 22 Jan 1999 04:14:55 -0500 (EST)

Mohsen,

						- Ted

---

From: "David R. Conrad" <[email-masked]>
Date: Fri, 22 Jan 1999 01:30:31 -0800

Mohsen,

> This is not about parsing of strings.

Actually, it is.  

The "fundamental architectural design decision" you are so worried about
occured quite a while back and the results of that decision are
currently in use by a really big installed base.  As such, whether
domains go right to left or left to right is no longer an architectural
decision, it is practical reality and the way to deal with this
particular reality is to parse strings.

Whether or not the decision was "right" or "wrong" is irrelevant -- even
you must admit the cost of attempting to change would outweigh the
benefits of the change particularly as it is only a user interface issue
given computers can parse the string equally well in either direction. 
Instead of revising a zillion users habits, computers, web pages, and
documents, I suspect it'd be far more useful to come up with a layer
above (or, given the political insanity resulting from the requirement
for a single root, a replacement for) the DNS that makes the particular
ordering of labels unnoticable.

>  I have to enter it backwards (wrong).

Hmm. 

% nslookup www.isc.org
...
Address:  204.152.184.101
...
% nslookup 204.152.184.101
...
Name:    www.isc.org
...

Perhaps you need a new version of nslookup?

Regards,
-drc

---

From: "David R. Conrad" <[email-masked]>
Date: Fri, 22 Jan 1999 01:30:31 -0800

Mohsen,

Actually, it is.  

Hmm. 

% nslookup www.isc.org
...
Address:  204.152.184.101
...

Regards,
-drc

---

From: Dave Crocker <[email-masked]>
Date: Fri, 22 Jan 1999 10:34:44 +0800

At 03:39 PM 1/20/99 -0800, Mohsen BANAN wrote:
 Brian> I think we should also do the same for numbers, for example
>>Architecture Board (IAB) Chair, your above comments

Personally, I took that as not being intended to be funny, but rather to 
show that such choices are a) always arbitrary, and b) essentially 
impossible to change after they become entrenched.

Given the range of technical and operations (and political and religious 
and...) issues facing the net, it is in fact bizarre to consider this issue.

>>Domains are backwards and wrong.

That statement is false on both counts.

>The decision for the
>>Domains could have gone one way or the other.

Yup.  The decision can reasonably be viewed as arbitrary.  Hence, the 
choice was neither backwards nor wrong.

>>order is to put the larger (the more general) to the

"man/machine" is part of the more-general "man/system".  As such, one can 
note telephone numbers to support your argument and postal addresses to 
refute them.

Perhaps the most humorous aspect of the claim that a right-to-left 
hierarchy representation is wrong is to take that claim and apply it 
equally to language representation.  No doubt the middle-eastern languages 
will rush to start writing from left to right?

> >File Systems:    /var/spool/lp/logs/requests.1  C 
> Structures:    myHouse.livingRoom.lamp
>> >Numbers (pi):    3.14159
>>

When trying to prove a case, finding a single, or several, contrary 
examples does not constitute proof.  You need to state and detriment 
particular deficiencies with the current form and benefits in the alternative.

And then you need to factor in the cost of changing.

>>the choice in orderly selection from more than just

The technical and operational issues in this having nothing to do with 
syntactic ordering.

>I am not saying that what I have here is a solution.

That's good, because you also do not have a problem, except in thinking 
that there is a problem and in thinking that we should be spending time on 
this topic.

d/

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Dave Crocker                                       Tel: +60 (19) 3299 445
<mailto:[email-masked]>             Post Office Box 296, U.P.M.
                                          Serdang, Selangor 43400 MALAYSIA
Brandenburg Consulting
<http://www.brandenburg.com>                       Tel: +1 (408) 246 8253
Fax: +1(408)273 6464              675 Spruce Dr., Sunnyvale, CA 94086 USA

---

From: Dave Crocker <[email-masked]>
Date: Fri, 22 Jan 1999 10:34:44 +0800

d/

---

From: Peter Dawson <[email-masked]>
Date: Fri, 22 Jan 1999 14:46:04 +0400

> right. Us, the network guys, got it backwards!

Cheers Mohsen !! at least someone ack's
the problem and that it was got wrong !!

/pete

---

From: Peter Dawson <[email-masked]>
Date: Fri, 22 Jan 1999 14:46:04 +0400

/pete

---

From: Peter Dawson <[email-masked]>
Date: Fri, 22 Jan 1999 14:50:41 +0400

Theodore

Theodore Y. Ts'o wrote:

> in the DNS name.

How come  the folks don't admit the mistakes and just
keepcontinuing..  ?? we all understand it is human to err..  !!

> of view.  But this is reality.  Live with it.

I agree, as long it is also agreed that mistakes were made !!

cheers

/pete

---

From: Peter Dawson <[email-masked]>
Date: Fri, 22 Jan 1999 14:50:41 +0400

Theodore

cheers

/pete

---

From: [email-masked]
Date: Fri, 22 Jan 1999 06:19:04 -0500

>  155.110.196.194.in-addr.arpa	name = sp2tr5.hursley.ibm.com

Odd. You must have a broken user interface.

I just type "dig -x 194.196.110.155".

> right. Us, the network guys, got it backwards!

The file system guys, as a whole, got it wrong. The OS guys got it
wrong. The network guys got it wrong. About the only people
who got it *right* were the guys at IBM and other "big iron"
vendors who came up with ideas like count-key-data disk formats
and the like, to support indexed access of files.  But this is
really hard to do right - a Unix kernel's "namei()" routine to
convert a filename to an inode (describing data on disk) is
usually on the order of several pages of code - and most of that
is uglyness dealing with race conditions in multiprocessing
systems.  Contrast that to the innards of the "indexed VTOC"
stuff that IBM designed - even the OS/VS1 data management
routines were many many sheets of microfiche, and I dread
knowing how much MVS/ESA drags around.

As far as "the language guys" (whoever they may be), note
that the Intel x86 architecture is little-endian, and widely
deployed (and deplored).

You can't comple network addresses effectively under .com, because
there's 2 million or so entries under it.  For that matter, find a
large disk, and create a directory that has 2 million files in it and
try to do filename completion in it.

Hint: the breakage is in the depth/width ratio, not the order.
Computing the optimal depth for a tree is covered in any
good first year algorithms class.  Unfortunately, unlike
most B-Tree algorithms, we *cant* do a rotate-and-balance
on the domain name system.... ;)

				Valdis Kletnieks

---

From: [email-masked]
Date: Fri, 22 Jan 1999 06:19:04 -0500

Valdis Kletnieks

---

From: Markku Savela <[email-masked]>
Date: Fri, 22 Jan 1999 13:40:26 +0200 (EET)

> Peter Dawson <[email-masked]>

Whether mistake, is matter of opinion...

I regularly connect to local hosts by only specifying the least
significant name. If address was reversed, I would be forced to use
full domain names all the time (or have arbitraty limitation not to
have names matching a top level domain...). So there is some utility
for the current convetion too.

-- 
Markku Savela ([email-masked]), Technical Research Centre of Finland
Multimedia Systems, P.O.Box 1203,FIN-02044 VTT,http://www.vtt.fi/tte/staff/msa/

---

From: Markku Savela <[email-masked]>
Date: Fri, 22 Jan 1999 13:40:26 +0200 (EET)

---

From: Scott Brim <[email-masked]>
Date: Fri, 22 Jan 1999 08:00:44 -0500

Although I agree in-addr parsing etc. are totally ugly, this is still not
an architectural issue, it really is just about representation.  If you
made the change you propose, the way the representations are actually
used (viz., the architecture) would still be the same.  In any case it's
moot.  

(If I still could I'd CC to [email-masked])

...Scott

---

From: Scott Brim <[email-masked]>
Date: Fri, 22 Jan 1999 08:00:44 -0500

...Scott

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 22 Jan 1999 11:41:10 +0100

About domain name order:

Way Back When, the UK academic community championed Colored Books, X.25 and
[email-masked].

The US academic community championed IP, SMTP and [email-masked].

One party won, and we're living with the result.
History is neither reasonable nor just; it just is.

                      Harald

-- 
Harald Tveit Alvestrand, Maxware, Norway
[email-masked]

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 22 Jan 1999 11:41:10 +0100

About domain name order:

                      Harald

---

From: John Martin <[email-masked]>
Date: Fri, 22 Jan 1999 15:54:15 +0100

Ted,

>caused massive ammounts of user confusion, and the attempt to "reform"

I'm not so sure it was such a disaster: it certainly taught me an awful lot
about sendmail rewrite rules ;-)

John

---

From: John Martin <[email-masked]>
Date: Fri, 22 Jan 1999 15:54:15 +0100

Ted,

John

---

From: Alex Kamantauskas <[email-masked]>
Date: Fri, 22 Jan 1999 10:06:43 -0500 (EST)

> was "DoD Internet Host Table Specification, RFC 952, October

RFC 810 (Feb. 1982) mentions "Name domains" - I guess that was when the
seed of DNS was planted.  Interestingly enough, they quote:

  "These basically involved adding more hierarchical name information
   either to the right or the left of the @, with the 'higher order'
   portion rightmost or leftmost.  It was clear that the information
   content of all these syntactic alternatives was the same, so that the
   one causing least difficulty fore existing systems should be chosen.
   Hence it was decided to add all new information on the right of the @
   sign, leaving the 'user' field to the left completely to each system to
   determing (in particular to avoid the problem that some systems already
   use dot (.) internally as part of user names".
 
> does it predate DOS ??

What's DOS?

> /pete
> 
> -
> This message was passed through [email-masked], which
> is a sublist of [email-masked]. Not all messages are passed.
> Decisions on what to pass are made solely by Harald Alvestrand.
> 

-- 
Alex Kamantauskas
Tugger Networks

---

From: Alex Kamantauskas <[email-masked]>
Date: Fri, 22 Jan 1999 10:06:43 -0500 (EST)

What's DOS?

-- 
Alex Kamantauskas
Tugger Networks

---

From: "Mr. Arlington Hewes" <[email-masked]>
Date: Fri, 22 Jan 1999 15:17:45 +0000

>>>>> On Thu, 21 Jan 1999, "MB" == Mohsen BANAN wrote:

  MB> To send a fax to +1.888.555.2222 using say tcp.int:

  MB> I have to put the numbers in backwards.

  MB> [email-masked]

Recognizing the conceptual challenge this presented to most users ages ago, 
TPC.INT put a band-aid on the "problem" by hacking bind to support the 
following alternative format:

	[email-masked]

-dpn

---

From: "Mr. Arlington Hewes" <[email-masked]>
Date: Fri, 22 Jan 1999 15:17:45 +0000

-dpn

---

From: [email-masked]
Date: Fri, 22 Jan 1999 10:54:04 -0500

> 	[email-masked]

Yet another problem solved by fixing the user interface and not
requiring any changes to the on-the-wire protocol...

But then, I seem to remember an Internet-Draft regarding representing
kanji characters in DNS names via suitable encoding, but that may
pre-date the BIND V8 enforcement of the [0-9A-Z-.] rules.

Now *there*'s a topic worth discussing - UTF-8 in hostnames[1]. ;)

/Valdis

[1] Yes, I'm sure this was beaten to death numerous times on the DNS
working group lists, so let's (a) read the archives and (b) not start
flaming till we have done so. ;)

---

From: [email-masked]
Date: Fri, 22 Jan 1999 10:54:04 -0500

/Valdis

---

From: Ned Freed <[email-masked]>
Date: Fri, 22 Jan 1999 10:09:02 -0800 (PST)

> of view.  But this is reality.  Live with it.

I am in complete agreement with Ted here. I also have issues with the way
things work and the way things were done, but I recognize that this stuff is
far too widely deployed at far too many levels to change now. 

					Ned

---

From: Ned Freed <[email-masked]>
Date: Fri, 22 Jan 1999 10:09:02 -0800 (PST)

Ned

---

From: Christian Huitema <[email-masked]>
Date: Fri, 22 Jan 1999 16:46:00 -0500 (EST)

Oh boy, discussion right and wrong endians on the IETF list! Somehow, it
remembers of a message I saw about 15 years ago, when someone polled the
community about adding a "-s" option (silent) to the Unix echo command.
 The discussion raged for about three weeks, before everybody realized the
initial message had been posted on March 31st.

-- 
Christian Huitema

---

From: Christian Huitema <[email-masked]>
Date: Fri, 22 Jan 1999 16:46:00 -0500 (EST)

-- 
Christian Huitema

---

From: Keith Moore <[email-masked]>
Date: Fri, 22 Jan 1999 17:20:16 -0500

> recognize and acknowledge that.

No, that's not our problem.

Our problem is that we are wasting time arguing with you.

Keith

---

From: Keith Moore <[email-masked]>
Date: Fri, 22 Jan 1999 17:20:16 -0500

Keith

---

From: "Perry E. Metzger" <[email-masked]>
Date: 22 Jan 1999 18:19:16 -0500

> Our problem is that we are wasting time arguing with you.

Why the hell ARE people arguing with Bob and the other imbeciles,
anyway? I mean, its not like any of them could actually code their way 
out of a paper bag or manage to get anyone to use their hare-brained
schemes.

I mean, if Bob wants to use a host table, LET HIM. If other people
want to try to make the domains go the other way around, LET THEM. The 
punishment is right there in the attempt. We don't need to penalize
them any further than nature already has by rendering them stupid
enough to try.

Perry

---

From: "Perry E. Metzger" <[email-masked]>
Date: 22 Jan 1999 18:19:16 -0500

Perry

---

From: Richard Walker <[email-masked]>
Date: Fri, 22 Jan 1999 19:48:45 -0500

I joined this list hoping to learn something other than the phiner
points of geek flaming.  I'm starting to feel a bit disappointed.

--
Feel Lost In Email?  Get Answers Quick On The HOT ASP Discussion Forum 
--> http://www.aspalliance.com/richardwalker/forum/ <--

---

From: Richard Walker <[email-masked]>
Date: Fri, 22 Jan 1999 19:48:45 -0500